Questions tagged [pacman]

For questions about the Pacman package manager used with Arch Linux and its derivatives. Question about the arcade game should be directed to our gaming sister site, Arqade.

Filter by
Sorted by
Tagged with
0
votes
1answer
11 views

How to get PKGBUILD of a given package?

My goal is to create list of configuration files that are tracked by pacman (those that are normally saved even after removal of the package with the .pacsave suffix). I haven't found a way to get ...
0
votes
1answer
16 views

On mingw/pacman why does harfbuzz requires glib2, which requires python?

I was installing SFML from pacman, which requires freetype, and I got a nasty cyclic dependency between freetype and harfbuzz, which is another issue. My main question is about this chain of ...
0
votes
1answer
28 views

Package manager (pacman) not showing linux-headers for current kernel version

I'm using Manjaro 20.0.1 with 5.6.11-1 kernel. uname -a: 5.6.11-1-MANJARO I've updated the pacman database with sudo pacman -Syy. But if I try to install the linux headers, the latest ones ...
0
votes
0answers
11 views

How do I make a “snapshot” of pacman packages on Arch before upgrading

I use Arch for daily work but when I upgrade something breaks from time to time. Is there a way to take a "snapshot" before upgrading and just revert back to it if something breaks? Someone has ...
0
votes
0answers
39 views

Arch Linux: Help, I uninstalled (basically) everything

There is a major bud with dbus in arch linux so I was going to switch to use dbus-x11, didn't notice that bassicly everything needed dbus or libdbus. Used Pacman -Rsnc dbus --noconfirm so basically ...
0
votes
0answers
147 views

Archlinux/Pacman list installed packages with description

How do I list installed packages (by user) with a short description? When I search for packages to install: pacman -Ss zsh, I get following result: extra/zsh 5.7.1-1 [installed] A very advanced ...
0
votes
1answer
164 views

pacman - Syy: error: failed retrieving file 'packages.db'

I run a Manjaro container inside an AWS Cloud9 machine with docker container run --interactive --tty manjarolinux/build bash, and the first command I run, pacman -Syy, fails with the following output: ...
1
vote
2answers
5k views

Pacman unable to update since it breaks dependency with itself

I tried to update my Arch system today and pacman is trying to update itself, and is unable to do so due to dependancy breaking. The error is this: :: Synchronizing package databases... core ...
0
votes
0answers
25 views

Reload USB after pacman update

Every time I run pacman -Syuu to update my system the USB sticks I attach to my computer are not processed anymore. By processing I mean that they are recognized (running dmesg and inspecting /sys/bus/...
1
vote
1answer
109 views

Install both gnu-netcat and openbsd-netcat simultaneously on Arch Linux

They are in conflict when I try to install them conveniently. How can I have both of them at the same time?
0
votes
0answers
13 views

Setting Proxy for Ocotpi GUI

I use Manjaro KDE andI'm trying to set up proxy for Octopi GUI to use it but when i install a software i get the "internet seems unavailable !" error message. I'm already able to use pacman via the ...
2
votes
1answer
319 views

pacman -Syu error with npm ( conflicting files )

I just tried to run pacman -Syu command and encountered this error: (417/417) sprawdzanie kluczy w bazie [############...
0
votes
0answers
203 views

How can I cross compile a c++ application from manjaro linux to windows?

I've tried installing mingw-w64, but I keep on getting errors because the AUR package is broken and unmaintained. Nothing I've tried is working to install it, and wineg++ isn't working well for me. Is ...
0
votes
1answer
68 views

pacman -Syyu syncs removed package

I recently switched from sublime-text-3 to vim and wanted to uninstall the former. I used pacman -Rsnc sublime-text and it worked just fine. But whenever i do pacman -Syyu i still see core ...
0
votes
1answer
577 views

Completely remove mysql from Linux

I am trying to remove Mysql completely from my system with the command but always getting not found error [name@archserver]$ sudo pacman -R mysql error: target not found: mysql [name@archserver]$ ...
0
votes
0answers
414 views

Can't Install Android Studio In Manjaro (Arch) Linux

I was just trying to install Android Studio in Manjaro Linux with yaourt but it returns this error all the time: /usr/lib/yaourt/pkgbuild.sh: line 219: cannot create temp file for here-document: No ...
0
votes
1answer
5k views

pacman in Ubuntu 18.04

I am trying to install devkitPro in Ubuntu 18.04, and they are indicating that the packages are available using pacman package manager. I have installed pacman with the command sudo apt install pacman....
0
votes
0answers
55 views

how to install pod2html on msys2

openssl build is missing pod2hml and i do not know how to install it. since pod2html is a perl package I tried to find a way to install it but ppm seems not available from pacman since pacman -S ppm ...
1
vote
3answers
302 views

Install paccache in Msys2 to clean installers storage

I mean to get rid of a large number of probably useless installers (I have currently 3.5Gb "immobilized") from my Portable Msys2 under Win10. I will probably keep the last version, at least of some ...
0
votes
0answers
958 views

Manjaro/Arch downgrade to specific version of package

I need to install a specific version of Firefox so that I can reproduce and fix a bug in a web app. I read this article and installed downgrade. However, when I run... sudo DOWNGRADE_FROM_ALA=1 ...
1
vote
1answer
216 views

Download size count switching from KiB to MiB only after 2MiB

I was using pacman to update my Manjaro system on the commandline. I noticed that the progress uses KiB to measure the amount of downloaded data. This changes to MiB after it reaches 2048 KiB (most ...
2
votes
1answer
43 views

How to update packages to intermediate or most recent possible version with pacman?

I think a case study is better to understand what I mean. I have cuda 9.0.176 and cuddn 7.1.4 installed. The most recent version of cudnn is 7.3.0, but it depends on cuda >= 10 and for unrelated ...
0
votes
1answer
860 views

How to make PKGBUILD install to /usr/bin/ with dependencies?

I'm writing a PKGBUILD for meetalva.io so I can submit it to AUR—so others can install it through yaourt. The binary Alva has two library dependencies, libnode.so and libffmpeg.so, which I need to ...
0
votes
0answers
2k views

X server won't start after nvidia-xconfig command

I proceeded with the instructions as per the ArchWiki page. The sudo pacman -S nvidia command had around 46 options. I went for the last one linux416-rt-nvidia-390xx-390.48-3because the version ...
3
votes
1answer
3k views

How to uninstall Java 9 using pacman (target not found)

I want to remove Java 9 and install Java 10, but I cannot remove it using pacman. The result of pacman -Q (regarding Java 9): java-environment-common 3-1 java-runtime-common 3-1 jdk9-openjdk 9.0.4....
23
votes
1answer
15k views

How do I list files installed by a package from the AUR?

I'm using arch-linux and I have installed a package from the aur. I want to know what changes it has made to my computer (specifically which files it has installed). Is this information available, and ...
0
votes
1answer
1k views

Uninstalling Intellij-Idea

I am trying to uninstall the intellij idea ultimate edition, but when I execute sudo pacman -Q no package with that name shows up. Do I have to manually uninstall this application?
23
votes
1answer
42k views

ERROR: One or more PGP signatures could not be verified, arch linux

I recently switched to an arch based distro call Manjaro. I have problems installing some packages from the aur arch repository curl-7.54.0.tar.gz ... Passed curl-7.54.0.tar.gz.asc ... ...